Subject: [BISECTED] 3.10-rc1 OMAP1 GPIO IRQ regression

From: [email-masked] (Jon Hunter)
Date: Wed, 29 May 2013 22:29:07 +0100

On 29/05/13 19:55, Aaro Koskinen wrote:
> Hi,
> 
> On Tue, May 28, 2013 at 07:42:41PM +0100, Jon Hunter wrote:
>> Care to share the log?
> 
> Below are three logs from 3.10-rc3 / Nokia 770. I did not even compile
> Retu this time, as it has nothing to do with GPIO IRQs being broken
> on OMAP1.

That's not entirely true. v3.10-rc3 is booting fine on an osk5912 and
ethernet is working which is using a gpio for interrupts and it is
getting interrupts.

> 1) broken vanilla 3.10-rc3: serial wakeup GPIO irq gets IRQ 0 and no
> other GPIO IRQs seen in /proc/interrupts. genirq error logs seen in boot.

Getting 0 for the irq number definitely looks like the problem.

> 2) working 3.10-rc3 with Tony's fix <== this fix should be applied
> (http://marc.info/?l=linux-arm-kernel&m=136907202628855&w=2). GPIO IRQs
> are normal, e.g. touchscreen can be used.
> 
> 3) .config used.

I am using the omap1_defconfig. Can you try that one for comparison?

Jon